#
# spec file for package vips
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vips
%define libname lib%{name}
Version:        8.0.2
Release:        6.19
%define short_version  8.0
%define short_version_ 8_0
%define somajor 42
Summary:        C/C++ library for processing large images
License:        LGPL-2.1
Group:          System/Libraries
Url:            http://www.vips.ecs.soton.ac.uk/
Source0:        http://www.vips.ecs.soton.ac.uk/supported/current/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE vips-libexif-header.patch -- set path to libexif header
Patch1:         vips-libexif-header.patch
BuildRequires:  ImageMagick-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  libcfitsio-devel
BuildRequires:  libexif-devel
BuildRequires:  libgsf-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms2-devel
BuildRequires:  libmatio-devel
BuildRequires:  libopenexr-devel
BuildRequires:  libopenslide-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  libwebp-devel
BuildRequires:  libxml2-devel
BuildRequires:  orc >= 0.4
BuildRequires:  pango-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  python-gobject-devel
BuildRequires:  swig
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VIPS is a free image processing system. It is good with large images
(images larger than the amount of RAM you have available), with many CPUs,
for working with colour, for scientific analysis and for general
research & development.

%package     -n %{libname}%{somajor}
Summary:        C/C++ library for processing large images
Group:          System/Libraries

%description -n %{libname}%{somajor}
VIPS is a free image processing system. It is good with large images
(images larger than the amount of RAM you have available), with many CPUs,
for working with colour, for scientific analysis and for general
research & development.

%package     -n typelib-1_0-Vips-%{short_version_}
Summary:        C/C++ library for processing large images
Group:          System/Libraries

%description -n typelib-1_0-Vips-%{short_version_}
VIPS is a free image processing system. It is good with large images
(images larger than the amount of RAM you have available), with many CPUs,
for working with colour, for scientific analysis and for general
research & development.

%package     -n %{libname}-devel
Summary:        Development files for VIPS library
Group:          Development/Libraries/Other
Requires:       %{libname}%{somajor} = %{version}
Requires:       libjpeg-devel
Requires:       libtiff-devel
Requires:       zlib-devel

%description -n %{libname}-devel
This package contains development files for developing applications that use VIPS library.

%package        tools
Summary:        Command line tools for VIPS library
Group:          Productivity/Graphics/Other
Requires:       %{libname}%{somajor} = %{version}

%description    tools
This package contains command line tools for processing large images using VIPS library.

%package     -n python-%{name}
Summary:        Python bindings for VIPS image processing library
Group:          Development/Libraries/Python
Requires:       %{libname}%{somajor} = %{version}

%description -n python-%{name}
This package contains Python bindings for VIPS library.

%package        doc
Summary:        Documentation for VIPS library
Group:          Documentation/Other
Requires:       %{libname}%{somajor} = %{version}
BuildArch:      noarch

%description    doc
This package contains documentation about VIPS library in HTML and PDF formats.

%prep
%setup -q
%patch1 -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang vips%{short_version}
%fdupes %{buildroot}%{python_sitearch}/
rm -rf %{buildroot}%{_datadir}/doc/vips

%check
make check

%post -n %{libname}%{somajor} -p /sbin/ldconfig

%postun -n %{libname}%{somajor} -p /sbin/ldconfig

%files -n %{libname}%{somajor} -f vips%{short_version}.lang
%defattr(-,root,root)
%{_libdir}/*.so.%{somajor}*

%files -n typelib-1_0-Vips-%{short_version_}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Vips-%{short_version}.typelib

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/%{libname}/
%{_datadir}/gir-1.0/Vips-%{short_version}.gir

%files tools
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitearch}/*

%files doc
%defattr(-,root,root)
%doc doc/html AUTHORS NEWS THANKS TODO COPYING ChangeLog

%changelog
* Wed May  6 2015 dmitry_r@opensuse.org
- Update to version 8.0.2
  * remove old doc stuff, lots of doc improvements
  * add fliphor(), flipver(), rot90(), rot180(), rot270(), median(),
    dilate(), erode() convenience methods to Python and C++
  * python: use [] to index and slice image bands, use () to get a point
  * c++: use [] to band index, () returns a vector<double>
  * add shift option to cast
  * sRGB2scRGB and scRGB2sRGB scale 16-bit alpha to and from 8-bit
  * add magickload_buffer() [mcuelenaere]
  * add vips_foreign_is_a_buffer() [mcuelenaere]
  * added test_foreign.py, plus more test images
  * added vips_region_shrink(), fast x2 shrinker
  * rewritten tiff writer is about 3 - 4x faster at making pyramids
  * jpg, magick, png, tiff readers now use only 1 fd per input image
  * added vips_info_set(), vips_progress_set(), vips_profile_set()
  * better conversion to greyscale
  * add vips_image_copy_memory(), improves stability with heavy threading
  * jpegsave supports new mozjpeg features [lovell]
  * add vips_vipsload(), vips_vipssave()
* Fri Feb 13 2015 dmitry_r@opensuse.org
- Update to version 7.42.3
  * Bug fixes and small improvements see included ChangeLog file for details
* Mon Jan 12 2015 dmitry_r@opensuse.org
- Update to version 7.42.1
  * See included ChangeLog file for details
  * Remove obsolete vips-date-and-time.patch
- Fix libexif headers path
  * vips-libexif-header.patch
- Build with webp support
- Enable post-build tests
* Wed Oct 22 2014 dmitry_r@opensuse.org
- Update to version 7.40.11
  * See included ChangeLog file for details
* Fri Aug 22 2014 dmitry_r@opensuse.org
- Update to version 7.40.6
  * fix similarity rotate+scale
  * fix 16-bit PNG save
  * fix vipsthumbnail on many-core systems
  * fix a race in im_maxpos_avg()
  * limit n_thr on tiny images
  * don't exit() on memleak detected, just warn
  * add "autocrop" option to openslide load
  * argh fix affine, again, there were sometimes black bars with
    nohalo and the vips8 interface
  * pngsave in interlaced mode makes a copy of the image, so it's
    always seq
  * vipsthumbnail shrinks to 1/2 window_size
  * vipsthumbnail has an anti-alias filter between shrink and affine
  * vipsthumbnail defaults to bicubic
  * better rounding behaviour for fixed-point bicubic reduces noise
  * fix colour for openslide read associated
* Tue Jul 29 2014 dmitry_r@opensuse.org
- Update to version 7.40.4
  * fix vips_rawsave_fd(), im_point()
  * vips_scale() now does round to nearest to avoid rounding errors
  * improve im_openout() compat macro
  * more robust vips_system()
  * add webp support to vips7
  * fix interlaced thumbnails in vipsthumbnail
  * fits save now caches the image before write, so it's top-to-bottom
  * add --properties argument to dzsave
  * dzsave write to zip stops at 4gb
  * improve short option name handling
* Fri Jun 27 2014 dmitry_r@opensuse.org
- Update to version 7.40.1
  * revise man.1 pages
  * fix vips_guess_prefix()
* Tue Jun 24 2014 dmitry_r@opensuse.org
- Update to version 7.40.0
  * new functions and classes, see included ChangeLog file
  * auto-decode for (almost) all operations, see vips_image_decode()
  * background render thread cleans up and quits neatly
  * colourspace has a source_space option
  * operations can be tagged as "deprecated"
  * better rounding in vips_flatten()
  * VipsStatistic operations are sequential
  * vipsthumbnail has --rotate auto-rotate option
  * removed embedded thumbnail reader from vipsthumbnail: embedded
    thumbnails are too unlike the main image
  * reduce default cache size to 1,000 operations
  * vips_system() now supports many input images and you can
    change image argument order
  * support 16-bit palette TIFFs, plus palette TIFFs can have an alpha
  * dzsave can directly write a ZIP file
  * add ".vips" as an alternative suffix for vips files
  * support 1/2/4 bit palette tiff images with alpha
  * added Travis CI config
  * better filename tracking for globalbalance
  * revised vips8 image load/save API, now simpler and more logical
  * operations emit "invalidate" if any of their input images invalidate
  * operation cache drops ops on invalidate
* Thu Feb 27 2014 dmitry_r@opensuse.org
- Update to version 7.38.5
  * jpeg load from buffer could write to input, thanks Lovell
  * fix webpload from buffer, thanks Lovell
  * vips_sequential() could fail under heavy load
  * remove support for seq mode read for operations like extract
  * --sharpen=none option to vipsthumbnail was broken
  * more locking on property create and lookup to help very-threaded systems
* Fri Feb  7 2014 dmitry_r@opensuse.org
- Update to version 7.38.3
  * undeprecate VIPS_MASK_IDEAL_HIGHPASS and friends
  * auto RAD decode for affine
  * falsecolour was not working for some image types
  * foreign memory buffer images did not have the right dhint,
    broke command-line falsecolour on sequential images
  * support many Radiance readers active at once
  * add secret "rgbjpeg" flag to vips_tiffsave() to help IIP
* Tue Jan 21 2014 dmitry_r@opensuse.org
- Update to version 7.38.1
  * bump soname
  * better conversion to and from scrgb/xyz for rad (hdr)
  * fix --interpolate flag to vipsthumbnail
* Sun Jan 19 2014 dmitry_r@opensuse.org
- Update to version 7.38.0
  * redone im_rotate_*mask45(), im_gauss_*mask*(), im_log_*mask(),
    im_dilate(), im_erode(), im_rank_image(), im_compass(),
    im_linedet(), im_gradient(), im_convsep(), im_convsep_f(),
    im_fastcor(), im_spcor(), im_sharpen() as classes
  * im_gradcor() deprecated
  * vips_init() now does some ABI compat checking, though this
    change requires an ABI break
  * add "interlace" option to vips_jpegsave()
  * remove vips_image_copy_fields() and vips_demand_hint() and add
    vips_image_pipeline() to do both jobs
  * vipsthumbnail allows non-square bounding boxes, thanks seth
  * add vips_matrixprint()
  * add @point subsample mode to vips_subsample()
  * im_contrast_surface() deprecated: it was slower than calling
    conv a few times
  * radiance load supports sequential read
  * rewritten radiance decode is much faster
  * add vips_crop(), a synonym for vips_extract_area()
  * rename vips_gammacorrect() as vips_gamma(), now takes 1 / exp
  * vips_gamma() works for any format
  * add --linear mode to vipsthumbnail
  * support XYZ as a PCS for vips_icc_import() and vips_icc_export()
  * add --strip option to jpegsave
  * added vips_gaussblur() convenience function
  * added --vips-profile, records and dumps thread timing and memory
    use info
  * added vipsprofile, visualises --vips-profile output
  * auto-vectorization-friendly inner loops
  * added vips::init() and vips::shutdown() to C++ API
  * reuse pixel buffers on sharing to reduce mem cycling
  * conv is SMALLTILE, huge mem use saving on wide images
  * vipsthumbnail has a --crop option
  * remove video4linux1 code, it was useless on all modern linuxes
  * redone freq filter builders as classes
  * redone im_fwfft(), im_invfft(), im_freqflt(), im_disp_ps(),
    im_fractsurf(), im_phasecor() as classes
  * vips_colourspace() allows B_W, GREY16, RGB16 as source / target
  * added vips_thread_shutdown(), thanks Lovell
  * vips_linear() has a uchar output mode
  * redone im_cntlines(), im_rank() as classes
  * move im_zerox() to deprecated, it wasm't very useful
* Fri Dec 20 2013 dmitry_r@opensuse.org
- Update to version 7.36.5
  * better cache sizing in unbuffered sequential mode
  * allow larger tile_size in dzsave
  * remove use of PATH_MAX to help gnu hurd
  * fix vips_hist_match()
  * improve compat with im_init_world()
* Thu Nov 14 2013 dmitry_r@opensuse.org
- Update to version 7.36.3
  * reverse similarity rotation direction to match the convention
    used elsewhere in vips
  * fix blocked caching of sequential load operations
  * fix cache flags
  * fix --delete option to vipsthumbnail
* Thu Oct 17 2013 dmitry_r@opensuse.org
- Update to version 7.36.2
  * better jpeg startup
  * rename jpeg bool type to reduce confusion between libraries
* Tue Oct  8 2013 dmitry_r@opensuse.org
- Update to version 7.36.1
  * small bugfixes
* Sat Oct  5 2013 dmitry_r@opensuse.org
- Update to version 7.36.0
  * added vips_matrixload() and vips_matrixsave(), load and save
    vips mat format
  * rename image arrays as image matrices ... INTERPRETATION_ARRAY ->
    INTERPRETATION_MATRIX etc.
  * rewrite im_buildlut(), im_identity*(), im_maplut(),
    im_falsecolour(), im_gammacorrect(), im_histgr(), im_histcum(),
    im_histnorm(), im_heq(), im_histnD(), im_histindexed(),
    im_histspec(), im_invertlut(), im_lhisteq(), im_stdif(),
    im_project(), im_profile(), im_tone_build*(), im_mpercent*(),
    im_ismonotonic() as classes
  * vips_hist_local(), vips_stdif() do any number of bands
  * thin vips8 wrapper for im_histplot()
  * added vips_error_freeze() / vips_error_thaw()
  * used freeze() / thaw() to stop file format sniffers logging
    spurious errors
  * vipsthumbnail uses embedded jpg thumbnails if it can
  * rename vips_diag() as vips_info(), add --vips-info flag
  * deprecate im_hsp()
  * added vips_webpload(), vips_webpload_buffer(), vips_webpsave(),
    vips_webpsave_buffer(), vips_webpsave_mime()
  * tiff reader allows separate planes for strip read
  * tiff reader and writer allow many more formats,
    eg. 32-bit int, complex, etc.
  * tiff reader and writer allow any number of bands
  * added vips_image_new_matrixv()
  * dzsave basename param now called filename, so you can use .dz
    as a destination (basename is still there but deprecated)
  * new _UNBUFFERED sequential mode saves memory in some important cases
  * vips_conv() is a simple wrapper over the old convolution functions
  * new optimize_coding param for jpeg write produces optimal Huffman tables
  * im_tone_map() and im_tone_analyse() deprecated
  * new --band arg to vips_maplut() replaces im_tone_map() functionality
  * added vips_similarity(), simple wrapper for vips_affine() that lets you
    give a scale and rotate
* Tue Aug 20 2013 dmitry_r@opensuse.org
- Update to version  7.34.2
  * lower priority for Matlab load to reduce segvs from Mat_Open()
  * null-terminate libexif strings
  * openslide always outputs solid pixels*
* Thu Jul  4 2013 dmitry_r@opensuse.org
- Update to version 7.34.1
  * fix morphological operators on non-uchar images
  * remove any ICC profile when we use vips to go to srgb
  * fix VImage.PIL_mode_from_vips() failed for CMYK
  * fix no-pango build
  * add im_vips2dz(): run the deepzoom writer from vips7
  * vips_magickload() has an option to read all images in a sequence
  * redo im_make_xy(), im_*eye(), im_zone*(), im_sines() as classes
  * added vips_pngload_buffer()
  * faster --centre option to dzsave
* Sat Jun 15 2013 dmitry_r@opensuse.org
- Update to version 7.32.4
  * icc import and export could segv on very wide images
  * added "persistent" option to tilecache
  * removed some left-over debugging code from configure.ac
  * better handling of args without values
  * better error messages from vips.c
  * fix demand hints so "vips shrink" works again
  * remove "fred" from dist
* Wed Mar  6 2013 dmitry_r@opensuse.org
- Update to version 7.32.0
  * tilecache in threaded mode could deadlock if the downstream
    pixel source raised an error
  * fix another dzsave corner-case
  * neater output for "header"
  * added VIPS_META_LOADER: record the loader name
  * vipsthumbnail is better at cache sizing
  * removed obsolete vips-libpng16.patch
* Thu Feb 28 2013 dmitry_r@opensuse.org
- Update to version 7.30.8
  * Fixed png icc profile write
* Fri Feb 15 2013 pgajdos@suse.com
- build also with libpng16
  * libpng16.patch
* Sat Jan 19 2013 dmitry_r@opensuse.org
- Update to version 7.30.7
  * better option parsing for "vips"
  * backported threaded tile cache from next version
* Wed Dec 19 2012 dmitry_r@opensuse.org
- Update to version 7.30.6
  * see ChangeLog
- Change license to LGPL-2.1 [bnc#780722]
- Build with matio support for openSUSE 12.1
* Wed Sep 26 2012 dmitry_r@opensuse.org
- Change license to GPL-2.0+ (bnc#780722)
* Thu Sep 13 2012 dmitry_r@opensuse.org
- Build without matio support for openSUSE 12.1
  by reason of matio 1.5.0 build problems
* Sat Sep  8 2012 dmitry_r@opensuse.org
- Fix rpmlint warning "file-contains-date-and-time"
  * vips-date-and-time.patch
* Sat Sep  1 2012 dmitry_r@opensuse.org
- Initial package
- Version 7.30.1
